summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTobias Klausmann <klausman@gentoo.org>2019-11-01 13:37:45 +0100
committerTobias Klausmann <klausman@gentoo.org>2019-11-01 15:38:30 +0100
commit146f1b68442e05824d26cd47a9d06de9e43b2f64 (patch)
treeab30215c7d2f7b8fe00c568e526ff90be763387b /net-im/prosody
parentnet-libs/libvncserver: Add a bunch of upstream fixes (diff)
downloadgentoo-146f1b68442e05824d26cd47a9d06de9e43b2f64.tar.gz
gentoo-146f1b68442e05824d26cd47a9d06de9e43b2f64.tar.bz2
gentoo-146f1b68442e05824d26cd47a9d06de9e43b2f64.zip
net-im/prosody: add v0.11.3 and clean up old versions
New build provided by xdch47 in GH PR 13507 Closes: https://bugs.gentoo.org/699070 Package-Manager: Portage-2.3.78, Repoman-2.3.17 Signed-off-by: Tobias Klausmann <klausman@gentoo.org>
Diffstat (limited to 'net-im/prosody')
-rw-r--r--net-im/prosody/Manifest2
-rw-r--r--net-im/prosody/prosody-0.11.1.ebuild86
-rw-r--r--net-im/prosody/prosody-0.11.3.ebuild (renamed from net-im/prosody/prosody-0.11.2.ebuild)41
3 files changed, 14 insertions, 115 deletions
diff --git a/net-im/prosody/Manifest b/net-im/prosody/Manifest
index 048bc0cc99b..6e4ead82155 100644
--- a/net-im/prosody/Manifest
+++ b/net-im/prosody/Manifest
@@ -1,3 +1,3 @@
-DIST prosody-0.11.1.tar.gz 418780 BLAKE2B 0fa45b71bb7eeaa60385683427c9547af3e014faa97dec409cc19e48bfd1b91fec7eb001fb14a86c9f3ce2c653ece2fdb113bba860cdc500cb164dd7749af6cc SHA512 6e25d2365d40582f57799bb08bf2673ba43270e8bcca5c5b785381380db55ec3ea6ab771fb9bd228bf265a564bb017dbfeae81713abd2de35a92704f8b8004ef
DIST prosody-0.11.2.tar.gz 420689 BLAKE2B 3abdab188f66d4eccb21d0981b57d5015605a1257074bbd67098a8624f40a11960fb65a7f56a7d1421a23bfffdb34635eeac5d013c4b7d7d957c51cdff2276c1 SHA512 22e55a551a40c92f38a1ed1de5fdcad574d699d58c2e27f93c3d465b55487b8e923c2ba088daf93c7140cbafb0d429687e0b662c8bb1c1aba4b79ac1ea271cd1
+DIST prosody-0.11.3.tar.gz 424098 BLAKE2B 58196234bced12ad84943763c48cdb6fa88b2bfd6390bf12d6bd0aec4f8905784ca5775d8fb55dc3ffe3bf22767742e2d62e859e3f2f9d08c65c9f8016036df0 SHA512 07239433c7c65184ca24d665c92b787ff9e4a5ee190ab90dede802ffd2cbd97855356d818858871e62284e9923f485b3468ab1baed5d3fb13aac0551a38967eb
DIST prosody-0.9.14.tar.gz 268253 BLAKE2B 0ae62ca3c8eb89feb34f1f67aa3d14aa1e6bf02cf10ff90a43fd7de8bd257d70508e36b10b3f159040c1fa5dcfb6ad8018e3411a5d6042992f71f643a13c11d4 SHA512 30116ebc20c719d88bae7f2f44c129604ec4477004581c3556ff548c75ee026a83dc519701a61a8c3f547776ba74c571e38c3e1e5240da9148dad35a5d1f67e3
diff --git a/net-im/prosody/prosody-0.11.1.ebuild b/net-im/prosody/prosody-0.11.1.ebuild
deleted file mode 100644
index 8049f02ed56..00000000000
--- a/net-im/prosody/prosody-0.11.1.ebuild
+++ /dev/null
@@ -1,86 +0,0 @@
-# Copyright 1999-2018 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit flag-o-matic multilib systemd
-
-MY_PV=$(ver_rs 3 '')
-MY_P="${PN}-${MY_PV}"
-DESCRIPTION="Prosody is a flexible communications server for Jabber/XMPP written in Lua"
-HOMEPAGE="https://prosody.im/"
-SRC_URI="https://prosody.im/tmp/${MY_PV}/${MY_P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 arm x86"
-IUSE="ipv6 libevent mysql postgres sqlite ssl zlib jit libressl test"
-
-BASE_DEPEND="net-im/jabber-base
- dev-lua/LuaBitOp
- !jit? ( >=dev-lang/lua-5.1:0 )
- jit? ( dev-lang/luajit:2 )
- >=net-dns/libidn-1.1:=
- !libressl? ( dev-libs/openssl:0 ) libressl? ( dev-libs/libressl:= )"
-
-DEPEND="${BASE_DEPEND}
- test? ( dev-lua/busted )"
-
-RDEPEND="${BASE_DEPEND}
- >=dev-lua/luaexpat-1.3.0
- dev-lua/luafilesystem
- ipv6? ( >=dev-lua/luasocket-3 )
- !ipv6? ( dev-lua/luasocket )
- libevent? ( >=dev-lua/luaevent-0.4.3 )
- mysql? ( dev-lua/luadbi[mysql] )
- postgres? ( dev-lua/luadbi[postgres] )
- sqlite? ( dev-lua/luadbi[sqlite] )
- ssl? ( dev-lua/luasec )
- zlib? ( dev-lua/lua-zlib )"
-
-S=${WORKDIR}/${MY_P}
-
-JABBER_ETC="/etc/jabber"
-JABBER_SPOOL="/var/spool/jabber"
-
-src_prepare() {
- default
- rm makefile && mv GNUmakefile Makefile || die
- sed -i -e "s!MODULES = \$(DESTDIR)\$(PREFIX)/lib/!MODULES = \$(DESTDIR)\$(PREFIX)/$(get_libdir)/!"\
- -e "s!SOURCE = \$(DESTDIR)\$(PREFIX)/lib/!SOURCE = \$(DESTDIR)\$(PREFIX)/$(get_libdir)/!"\
- -e "s!INSTALLEDSOURCE = \$(PREFIX)/lib/!INSTALLEDSOURCE = \$(PREFIX)/$(get_libdir)/!"\
- -e "s!INSTALLEDMODULES = \$(PREFIX)/lib/!INSTALLEDMODULES = \$(PREFIX)/$(get_libdir)/!"\
- Makefile || die
-}
-
-src_configure() {
- # the configure script is handcrafted (and yells at unknown options)
- # hence do not use 'econf'
- append-cflags -D_GNU_SOURCE
- ./configure \
- --ostype=linux \
- --prefix="${EPREFIX}/usr" \
- --libdir="${EPREFIX}/usr/$(get_libdir)" \
- --sysconfdir="${EPREFIX}/${JABBER_ETC}" \
- --datadir="${EPREFIX}/${JABBER_SPOOL}" \
- --with-lua-include="${EPREFIX}/usr/include" \
- --with-lua-lib="${EPREFIX}/usr/$(get_libdir)/lua" \
- --runwith=lua"$(usev jit)" \
- --cflags="${CFLAGS} -Wall -fPIC" \
- --ldflags="${LDFLAGS} -shared" \
- --c-compiler="$(tc-getCC)" \
- --linker="$(tc-getCC)" || die "configure failed"
-}
-
-src_install() {
- emake DESTDIR="${D}" install
- systemd_dounit "${FILESDIR}/${PN}".service
- systemd_newtmpfilesd "${FILESDIR}/${PN}".tmpfilesd "${PN}".conf
- newinitd "${FILESDIR}/${PN}".initd-r2 ${PN}
- keepdir "${JABBER_SPOOL}"
-}
-
-pkg_postinst() {
- elog "If you are using the MySQL backend, you need to update its schema:"
- elog "https://prosody.im/doc/release/0.11.0#upgrade_notes"
-}
diff --git a/net-im/prosody/prosody-0.11.2.ebuild b/net-im/prosody/prosody-0.11.3.ebuild
index d1be6afa1c0..253c10d7bfb 100644
--- a/net-im/prosody/prosody-0.11.2.ebuild
+++ b/net-im/prosody/prosody-0.11.3.ebuild
@@ -3,25 +3,24 @@
EAPI=7
-inherit flag-o-matic multilib systemd
+inherit multilib systemd
-MY_PV=$(ver_rs 3 '')
-MY_P="${PN}-${MY_PV}"
DESCRIPTION="Prosody is a flexible communications server for Jabber/XMPP written in Lua"
HOMEPAGE="https://prosody.im/"
-SRC_URI="https://prosody.im/tmp/${MY_PV}/${MY_P}.tar.gz"
+SRC_URI="https://prosody.im/downloads/source/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm x86"
-IUSE="ipv6 libevent mysql postgres sqlite ssl zlib jit libressl test"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="ipv6 jit libevent libressl mysql postgres sqlite ssl test zlib"
BASE_DEPEND="net-im/jabber-base
dev-lua/LuaBitOp
!jit? ( >=dev-lang/lua-5.1:0 )
jit? ( dev-lang/luajit:2 )
- >=net-dns/libidn-1.1:=
- !libressl? ( dev-libs/openssl:0 ) libressl? ( dev-libs/libressl:= )"
+ !libressl? ( dev-libs/openssl:0 )
+ libressl? ( dev-libs/libressl:= )
+ >=net-dns/libidn-1.1:="
DEPEND="${BASE_DEPEND}
test? ( dev-lua/busted )"
@@ -29,8 +28,8 @@ DEPEND="${BASE_DEPEND}
RDEPEND="${BASE_DEPEND}
>=dev-lua/luaexpat-1.3.0
dev-lua/luafilesystem
- ipv6? ( >=dev-lua/luasocket-3 )
!ipv6? ( dev-lua/luasocket )
+ ipv6? ( >=dev-lua/luasocket-3 )
libevent? ( >=dev-lua/luaevent-0.4.3 )
mysql? ( dev-lua/luadbi[mysql] )
postgres? ( dev-lua/luadbi[postgres] )
@@ -38,31 +37,20 @@ RDEPEND="${BASE_DEPEND}
ssl? ( dev-lua/luasec )
zlib? ( dev-lua/lua-zlib )"
-S=${WORKDIR}/${MY_P}
+PATCHES=("${FILESDIR}/prosody_cfg-0.11.2-r1.patch")
JABBER_ETC="/etc/jabber"
JABBER_SPOOL="/var/spool/jabber"
-src_prepare() {
- default
- rm makefile && mv GNUmakefile Makefile || die
- sed -i -e "s!MODULES = \$(DESTDIR)\$(PREFIX)/lib/!MODULES = \$(DESTDIR)\$(PREFIX)/$(get_libdir)/!"\
- -e "s!SOURCE = \$(DESTDIR)\$(PREFIX)/lib/!SOURCE = \$(DESTDIR)\$(PREFIX)/$(get_libdir)/!"\
- -e "s!INSTALLEDSOURCE = \$(PREFIX)/lib/!INSTALLEDSOURCE = \$(PREFIX)/$(get_libdir)/!"\
- -e "s!INSTALLEDMODULES = \$(PREFIX)/lib/!INSTALLEDMODULES = \$(PREFIX)/$(get_libdir)/!"\
- Makefile || die
-}
-
src_configure() {
# the configure script is handcrafted (and yells at unknown options)
# hence do not use 'econf'
- append-cflags -D_GNU_SOURCE
./configure \
--ostype=linux \
--prefix="${EPREFIX}/usr" \
--libdir="${EPREFIX}/usr/$(get_libdir)" \
- --sysconfdir="${EPREFIX}/${JABBER_ETC}" \
- --datadir="${EPREFIX}/${JABBER_SPOOL}" \
+ --sysconfdir="${EPREFIX}${JABBER_ETC}" \
+ --datadir="${EPREFIX}${JABBER_SPOOL}" \
--with-lua-include="${EPREFIX}/usr/include" \
--with-lua-lib="${EPREFIX}/usr/$(get_libdir)/lua" \
--runwith=lua"$(usev jit)" \
@@ -70,6 +58,8 @@ src_configure() {
--ldflags="${LDFLAGS} -shared" \
--c-compiler="$(tc-getCC)" \
--linker="$(tc-getCC)" || die "configure failed"
+
+ rm makefile && mv GNUmakefile Makefile || die
}
src_install() {
@@ -79,8 +69,3 @@ src_install() {
newinitd "${FILESDIR}/${PN}".initd-r2 ${PN}
keepdir "${JABBER_SPOOL}"
}
-
-pkg_postinst() {
- elog "If you are using the MySQL backend, you need to update its schema:"
- elog "https://prosody.im/doc/release/0.11.0#upgrade_notes"
-}